<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Mis Productos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-list lines="none" class="list--accounts">
    <ion-list-header>CUENTAS ({{ accounts.length }})</ion-list-header>
    <ion-item *ngFor="let account of accounts" (click)="showDetail(account)">
      <ion-avatar>
        <img src="assets/images/icon_account_gray.svg" alt="">
      </ion-avatar>
      <ion-label>
        <h2>{{ account.alias }} - {{ account.number }}</h2>
        <p>{{account.availableAmount | currency:'RD$ '}}</p>
        <small>Balance disponible</small>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-list lines="none" class="list--creditCards">
    <ion-list-header>TARJETAS ({{ creditCards.length }})</ion-list-header>
    <ion-item *ngFor="let creditCard of creditCards">
      <ion-avatar>
        <img src="assets/images/icon_credit_card_gray.svg" alt="">
      </ion-avatar>
      <ion-label>
        <h3>{{ creditCard.alias }} - {{ creditCard.number }}</h3>
        <p>{{creditCard.availableAmountRD | currency:'RD$ '}}</p>
        <p>{{creditCard.availableAmountUS | currency:'US$ '}}</p>
        <small>Balance disponible</small>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>